# GroupProcessor (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.svg.inkscape
Class GroupProcessor

    java.lang.Object
      org.newdawn.slick.svg.inkscape.GroupProcessor

All Implemented Interfaces:
  ElementProcessor

    public class GroupProcessor

extends java.lang.Object
implements ElementProcessor

TODO: Document this class

Author:
  kevin

Constructor Summary
`GroupProcessor()`

Method Summary
`boolean` `handles(org.w3c.dom.Element element)` Check if this processor handles the element specified
`void` `process(Loader loader, org.w3c.dom.Element element, Diagram diagram, Transform t)` O

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupProcessor

    public GroupProcessor()

Method Detail

### handles

    public boolean handles(org.w3c.dom.Element element)

  Description copied from interface: `ElementProcessor`
  Check if this processor handles the element specified

  Specified by:
    `handles` in interface `ElementProcessor`
  Parameters:
    `element` - The element to check
  Returns:
    True if this processor can handle the given element
  See Also:
    `ElementProcessor.handles(org.w3c.dom.Element)`

### process

    public void process(Loader loader,
                        org.w3c.dom.Element element,
                        Diagram diagram,
                        Transform t)
                 throws ParsingException

  O

  Specified by:
    `process` in interface `ElementProcessor`
  Parameters:
    `loader` - The loader/context of the parsing
    `element` - The element to be processed
    `diagram` - The diagram to be built
    `t` - The transform to apply to all elements at this level
  Throws:
    `ParsingException` - Indicates an invalid content to an element
  See Also:
    `ElementProcessor.process(org.newdawn.slick.svg.Loader, org.w3c.dom.Element, org.newdawn.slick.svg.Diagram, org.newdawn.slick.geom.Transform)`

Copyright © 2006 New Dawn Software. All Rights Reserved.